Subject: Re: bug#17749: 24.3.91; Crash on mwheel-scroll of org file

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Jun 2014 20:54:25 +0300

> From: "Vladimir Alexiev" <[email-masked]>
> Date: Tue, 10 Jun 2014 19:02:30 +0300
> 
> 1. Open emacs-crash-test.org
> 2. Make the window smaller (e.g. 20 lines tall)
> 2. Roll the mouse wheel down until you see the end of file, then up. 
> 3. CRASH
> 
> I cannot reproduce it with "emacs -Q" yet.

I cannot reproduce this with the Org file you've sent, if I perform
the steps above starting from "emacs -Q".

> I cannot always reproduce it with emacs-crash-test.org. I made this by replacing all letter with "a" in an original file that I can't share.
> Please let me know whether this is a new crash and you are willing to debug it.
> Then I can dig deeper to find which exact situation, or my code, or ELPA package causes this.

Please do, I need a reproducible recipe starting from "emacs -Q" in
order to debug this.

> ../../emacs-24.3.91/src/xdisp.c:6066: Emacs fatal error: assertion failed: (BUFFERP (it->object) && IT_CHARPOS (*it) == it->bidi_it.charpos && IT_BYTEPOS (*it) == it->bidi_it.bytepos) || (STRINGP (it->object) && IT_STRING_CHARPOS (*it) == it->bidi_it.charpos && IT_STRING_BYTEPOS (*it) == it->bidi_it.bytepos) || (CONSP (it->object) && it->method == GET_FROM_STRETCH)

This is an assertion violation, not a crash.  Some assumption in the
code turned out to be false, but it is not possible to know which one,
and whether it's just a wrong assumption or a real problem.

So a reproducible recipe is required, I hope you can find it.

Thanks.